#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.15.0.0
visibility:           public
id:                   HTF-0.15.0.0-EtmKLecA3zp5td6EuRjW0b
key:                  HTF-0.15.0.0-EtmKLecA3zp5td6EuRjW0b
license:              LGPL-2.1-only
copyright:            (c) 2005-2015 Stefan Wehr
maintainer:           Stefan Wehr <wehr@factisresearch.com>
author:               Stefan Wehr <wehr@factisresearch.com>
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define and organize unit tests,
    QuickCheck properties,
    and black box tests in an
    easy and convenient way. HTF uses a custom preprocessor that collects
    test definitions automatically.

    HTF produces highly readable output
    for failing test cases: it provides exact file name and line number
    information,
    it colors and pretty prints expected and
    actual results, and it displays a diff highlighting the mismatching parts.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. The /sample/ provides a good starting point for
    a project using HTF.

category:             Testing
abi:                  e81dbc2198d7423d715bba77a387c3ca
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestTypes Test.Framework.ThreadPool
    Test.Framework.Tutorial Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.Diff Test.Framework.Process
    Test.Framework.TestReporter Test.Framework.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-htf
hs-libraries:         HSHTF-0.15.0.0-EtmKLecA3zp5td6EuRjW0b
depends:
    Diff-0.4.1-2Bzoh0amNDXFg9xYLtFgKq
    HUnit-1.6.2.0-7Y0VuWuCIsAKWjVqhc1VJN
    QuickCheck-2.14.2-JAfVoSJ1VKW3z92cRcZSMa
    aeson-1.5.6.0-2qjjmnAKexuB7sng1Bw4lo array-0.5.4.0 base-4.15.1.0
    base64-bytestring-1.2.1.0-HEQxSB8A48p9GgtQTdJmdN
    bytestring-0.10.12.1 containers-0.6.4.1
    cpphs-1.20.9.1-1jAFiSyqcHj3RbgQIQP02q directory-1.3.6.2
    haskell-src-1.0.4-GDMyDRFvzF2LqG0gCWfglu
    lifted-base-0.2.3.12-7fRvS4t5skvAOAyJfjbf8S
    monad-control-1.0.3.1-H9ID8Z5g5DA1MNb6YoNW0V mtl-2.2.2
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe pretty-1.1.3.6
    process-1.6.13.2 random-1.2.1.1-HP1Jl4dlbgf891wCLsy6Z9
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix text-1.2.5.0 time-1.9.3
    unix-2.7.2.2 vector-0.12.3.1-IW8bpHdTmVFCpd7YXsgtBR
    xmlgen-0.6.2.2-J633yCMJBMg4Y5TXodj9XL

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

